org.apache.http.impl.conn

## Class DefaultHttpClientConnectionOperator

- java.lang.Object
- - org.apache.http.impl.conn.DefaultHttpClientConnectionOperator

- All Implemented Interfaces:
    HttpClientConnectionOperator

      @Contract(threading=IMMUTABLE_CONDITIONAL)
      public class DefaultHttpClientConnectionOperator
      extends Object
      implements HttpClientConnectionOperator

  Default implementation of `HttpClientConnectionOperator` used as default in Http client, when no instance provided by user to `BasicHttpClientConnectionManager` or `PoolingHttpClientConnectionManager` constructor.
  Since:
    4.4

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultHttpClientConnectionOperator(org.apache.http.config.Lookup<ConnectionSocketFactory> socketFactoryRegistry, SchemePortResolver schemePortResolver, DnsResolver dnsResolver)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `connect(ManagedHttpClientConnection conn, org.apache.http.HttpHost host, InetSocketAddress localAddress, int connectTimeout, org.apache.http.config.SocketConfig socketConfig, org.apache.http.protocol.HttpContext context)`
    `void` | `upgrade(ManagedHttpClientConnection conn, org.apache.http.HttpHost host, org.apache.http.protocol.HttpContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultHttpClientConnectionOperator

          public DefaultHttpClientConnectionOperator(org.apache.http.config.Lookup<ConnectionSocketFactory> socketFactoryRegistry,
                                             SchemePortResolver schemePortResolver,
                                             DnsResolver dnsResolver)

  - ### Method Detail

    - #### connect

          public void connect(ManagedHttpClientConnection conn,
                     org.apache.http.HttpHost host,
                     InetSocketAddress localAddress,
                     int connectTimeout,
                     org.apache.http.config.SocketConfig socketConfig,
                     org.apache.http.protocol.HttpContext context)
                       throws IOException

      Specified by:
        `connect` in interface `HttpClientConnectionOperator`
      Throws:
        `IOException`

    - #### upgrade

          public void upgrade(ManagedHttpClientConnection conn,
                     org.apache.http.HttpHost host,
                     org.apache.http.protocol.HttpContext context)
                       throws IOException

      Specified by:
        `upgrade` in interface `HttpClientConnectionOperator`
      Throws:
        `IOException`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.